<head>
  <meta name="google-signin-client_id" content="507958782827-2km1po0hp3ggoru9fsemrg84tns6bbdv.apps.googleusercontent.com">
</head>
<style>
  :root {
  --input-padding-x: 1.5rem;
  --input-padding-y: .75rem;
}

body {
  background: rgb(250, 94, 102);
  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, rgb(241, 135, 135));
  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, white);
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

.card-signin {
  border: 0;
  border-radius: 1rem;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.1);
}

.card-signin .card-title {
  margin-bottom: 2rem;
  font-weight: 300;
  font-size: 1.5rem;
}

.card-signin .card-body {
  padding: 2rem;
}

.form-signin {
  width: 100%;
}

.form-signin .btn {
  font-size: 1000%;
  border-radius: 10rem;
  letter-spacing: .2rem;
  font-weight: bold;
  padding: 1rem;
  transition: all 0.2s;
}

.form-label-group {
  position: relative;
  margin-bottom: 2rem;
}

.form-label-group input {
  border-radius: 4rem;
}

.form-label-group>input,
.form-label-group>label {
  padding: var(--input-padding-y) var(--input-padding-x);
}

.form-label-group>label {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  margin-bottom: 0;
  /* Override default `<label>` margin */
  line-height: 1.5;
  color:blanchedalmond;
  border: 1px solid transparent;
  border-radius: .30rem;
  transition: all .1s ease-in-out;
}

.form-label-group input::-webkit-input-placeholder {
  color: transparent;
}

.form-label-group input:-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-moz-placeholder {
  color: transparent;
}

.form-label-group input::placeholder {
  color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
  padding-top: calc(var(--input-padding-y) + var(--input-padding-y) * (4 / 3));
  padding-bottom: calc(var(--input-padding-y) / 3);
}

.form-label-group input:not(:placeholder-shown)~label {
  padding-top: calc(var(--input-padding-y) / 3);
  padding-bottom: calc(var(--input-padding-y) / 3);
  font-size: 12px;
  color: #777;
}

.btn-google {
  color: white;
  background-color: #d18079;
}

.btn-facebook {
  color: white;
  background-color:aliceblue;
}
</style>

<body>
<div class="container">
  <div class="row">
    <div class="col-sm-20 col-md-7 col-lg-10 mx-auto" center>
      <div class="card card-signin my-5">
        <div class="card-body">
          <h5 class="card-title text-center">Sign In</h5>
            <button class="btn btn-lg btn-google btn-block text-uppercase" type="submit"><i class="fab fa-google mr-2"></i> <a href="{% url 'social:begin' 'google-oauth2' %}">Sign In with Google</a><br></button>
        </div>
      </div>
    </div>
  </div>
</div>
</body>